# geos::geomgraph::EdgeNodingValidator Class Reference

`#include <EdgeNodingValidator.h>`

List of all members.

## Public Member Functions

| EdgeNodingValidator (std::vector< Edge * > &edges)
void | checkValid ()

## Detailed Description

Validates that a collection of SegmentStrings is correctly noded. Throws an appropriate exception if an noding error is found.

Version:
  1.4

The documentation for this class was generated from the following file:

- EdgeNodingValidator.h